# Interface Stamper

All Known Implementing Classes:
  `ShapeMode.AutoTransparentStamper, ShapeMode.DensityStamper, ShapeMode.FlatStamper, ShapeMode.ShadeStamper, ShapeMode.WeightStamper`

@Equality public interface Stamper
Performs colouring of an outline. This interface defines how to turn an outline shape into a legend icon, but subclasses may provide more specific functionality for use during the actual plot (cf `Style`).

Since:
  18 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Icon`
`createLegendIcon(Outliner outliner)`
Returns an icon for use in a legend given an outline shape.

## Method Details

### createLegendIcon

Icon createLegendIcon(Outliner outliner)
Returns an icon for use in a legend given an outline shape.

Parameters:
  `outliner` - outline shape
Returns:
  icon